This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 173015 - Enhancement: Ability to install via text mode SSH instead of VNC
Enhancement: Ability to install via text mode SSH instead of VNC
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-12 08:32 EST by Lee Wilson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-12 09:13:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lee Wilson 2005-11-12 08:32:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.12) Gecko/20050919 Firefox/1.0.7 (ax)

Description of problem:
It would be nice to be able to install RHEL/Fedora via SSH as well as the current VNC option.  

Whilst the VNC option is good, it often can run very slow when used across WAN connections (i.e. in the case of remote desktop/server installs).  Also if on the occasion the Graphics card is not supported, text mode install is the only option.

Perhaps we could have similar options to VNC, e.g. on the command line specify:-
  linux ssh

And also have an option to automatically generate a temporary installation key (unless this gets done in any case) or retrieve from the boot cd/floppy, e.g.

  linux ssh sshkeygen

Given that there is a DVD release of the product space should not be an issue at present, I think only about 2GB of the current DVD is used.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
SSH not an option during installation.

Additional info:
Comment 1 Jeremy Katz 2005-11-12 09:13:30 EST
There's a telnet mode which acts similarly to this.  ssh is a lot harder to
implement and would have a much greater memory impact even for people who don't
use it.
Comment 2 Lee Wilson 2005-11-12 10:20:33 EST
Can this be documented somewhere. I checked out the RHEL docs and only found
mention of VNC not telnet:-
https://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/x8664-multi-install-guide/ap-bootopts.html

It is mentioned for AS 3 on iSeries but not (at least from what I found) on x86.

Note You need to log in before you can comment on or make changes to this bug.